#
# spec file for package python-pytest-pythonpath
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-relaxed
Version:        1.0.0
Release:        lp150.1.4
Summary:        Relaxed test discovery/organization for pytest
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/bitprophet/pytest-relaxed 
Source:         https://files.pythonhosted.org/packages/source/p/pytest_relaxed/pytest-relaxed-%{version}.tar.gz
Patch0:         python3_fix.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-decorator
Requires:       python-six
Requires:       python-pytest
BuildArch:      noarch
%python_subpackages

%description
Relaxed test discovery/organization plugin for pytest from python-paramiko author

%prep
%setup -q -n pytest-relaxed-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}



%files %{python_files}
%license LICENSE 
%doc README.rst 
%{python_sitelib}/*

%changelog
* Wed Nov 15 2017 mimi.vx@gmail.com
- initial commit
  * added python3_fix.patch - nonascii characters in README
